Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 255603

Summary: app-emulation/qemu-user-0.9.0: linux-user/syscall.c:66:26: linux/dirent.h: No such file or directory
Product: Gentoo Linux Reporter: Martin Mokrejš <mmokrejs>
Component: New packagesAssignee: Luca Barbato <lu_zero>
Status: VERIFIED TEST-REQUEST    
Severity: normal    
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Martin Mokrejš 2009-01-20 10:52:54 UTC
>>> Emerging (2 of 2) app-emulation/qemu-user-0.9.0
 * qemu-0.9.0.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                                                                                                                                          [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                                                                                                          [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                                                                                         [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                                                                                        [ ok ]
>>> Unpacking source...
>>> Unpacking qemu-0.9.0.tar.gz to /var/tmp/portage/app-emulation/qemu-user-0.9.0/work
 * Applying qemu-0.7.0-ppc-linker.patch ...                                                                                                                                                                                    [ ok ]
>>> Source unpacked in /var/tmp/portage/app-emulation/qemu-user-0.9.0/work
>>> Compiling source in /var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0 ...
Install prefix    /usr
BIOS directory    /usr/share/qemu
binary directory  /usr/bin
Manual directory  /usr/share/man
ELF interp prefix /usr/gnemul/qemu-%M
Source path       /var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0
C compiler        gcc
Host C compiler   gcc
make              make
install           install
host CPU          i386
host big endian   no
target list       i386-linux-user arm-linux-user armeb-linux-user sparc-linux-user ppc-linux-user mips-linux-user mipsel-linux-user m68k-linux-user 
gprof enabled     no
profiler          no
static build      no
SDL support       no
mingw32 support   no
Adlib support     no
CoreAudio support no
ALSA support      no
DSound support    no
FMOD support      no 
kqemu support     yes
Documentation     yes
make 
gcc -DQEMU_TOOL -Wall -O2 -g -fno-strict-aliasing  -I. -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE   -Wl,-O1 -g  -o qemu-img qemu-img.c cutils.c block.c block-raw.c block-cow.c block-qcow.c aes.c block-vmdk.c block-cloop.c block-dmg.c block-bochs.c block-vpc.c block-vvfat.c block-qcow2.c -lz  -lrt
texi2html -monolithic -number qemu-doc.texi
texi2html -monolithic -number qemu-tech.texi
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/texi2pod.pl qemu-doc.texi qemu.pod
pod2man --section=1 --center=" " --release=" " qemu.pod > qemu.1
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/texi2pod.pl qemu-img.texi qemu-img.pod
pod2man --section=1 --center=" " --release=" " qemu-img.pod > qemu-img.1
gcc -Wall -O2 -g -fno-strict-aliasing  -I. -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE   -o dyngen dyngen.c
make -C i386-linux-user all
make[1]: Entering directory `/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/i386-linux-user'
gcc -Wall -O2 -g -fno-strict-aliasing -I. -I.. -I/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/target-i386 -I/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0 -I/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user -I/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/i386 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -I/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/fpu -DHAS_AUDIO -I/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/slirp  -c -o main.o /var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/main.c
gcc -Wall -O2 -g -fno-strict-aliasing -I. -I.. -I/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/target-i386 -I/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0 -I/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user -I/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/i386 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -I/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/fpu -DHAS_AUDIO -I/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/slirp  -c -o syscall.o /var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:66:26: linux/dirent.h: No such file or directory
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:157: warning: `struct dirent' declared inside parameter list
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:157: warning: its scope is only this definition or declaration, which is probably not what you want
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:158: warning: `struct dirent64' declared inside parameter list
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c: In function `do_ipc':
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:1157: warning: implicit declaration of function `msgget'
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:1161: warning: implicit declaration of function `msgsnd'
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:1165: warning: implicit declaration of function `msgctl'
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:1179: warning: implicit declaration of function `msgrcv'
In file included from /var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:1283:
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/ioctls.h: At top level:
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/ioctls.h:301: error: invalid application of `sizeof' to an incomplete type
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/ioctls.h:302: error: invalid application of `sizeof' to an incomplete type
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c: In function `do_syscall':
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:3239: warning: passing arg 2 of `sys_getdents' from incompatible pointer type
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:3246: error: dereferencing pointer to incomplete type
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:3249: error: dereferencing pointer to incomplete type
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:3250: error: dereferencing pointer to incomplete type
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:3251: error: dereferencing pointer to incomplete type
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:3266: warning: passing arg 2 of `sys_getdents64' from incompatible pointer type
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:3273: error: dereferencing pointer to incomplete type
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:3276: error: dereferencing pointer to incomplete type
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:3277: error: dereferencing pointer to incomplete type
/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/linux-user/syscall.c:3278: error: dereferencing pointer to incomplete type
make[1]: *** [syscall.o] Error 1
make[1]: Leaving directory `/var/tmp/portage/app-emulation/qemu-user-0.9.0/work/qemu-0.9.0/i386-linux-user'
make: *** [subdir-i386-linux-user] Error 2
 * 
 * ERROR: app-emulation/qemu-user-0.9.0 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2395:  Called die
 * The specific snippet of code:
 *       emake || die "make failed"
 *  The die message:
 *   make failed
[cut]
# emerge --info
Portage 2.1.6.7 (default/linux/x86/2008.0/desktop, gcc-3.3.6, glibc-2.9_p20081201-r1, 2.6.29-rc1-git4 i686)
=================================================================
System uname: Linux-2.6.29-rc1-git4-i686-Mobile_Intel-R-_Pentium-R-_4_-_M_CPU_1.80GHz-with-glibc2.0
Timestamp of tree: Mon, 19 Jan 2009 10:45:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
app-shells/bash:     3.2_p48
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.6.2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.2
sys-apps/sandbox:    1.3.2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -mmmx -msse -msse2 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/bind /var/qmail/alias /var/qmail/control /var/spool/torque /var/vpopmail/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium4 -mmmx -msse -msse2 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.mirror.web4u.cz"
LDFLAGS="-Wl,-O1"
LINGUAS="en cs cz"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/sunrise /usr/local/portage/layman/science /usr/local/portage/layman/java-overlay /usr/local/portage /usr/local/java-experimental /usr/local/portage/layman/java-overlay"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7zip R X Xaw3d a52 aac aalib ace acl acpi alsa amr amrnb amrwb apache2 audacious audiofile bash-completion bcmath berkdb blas bluetooth boost branding bzip2 cairo cblas cddb cdparanoia cdr clamav cli colordiff compress cpio cracklib crypt cscope css ctype cups curl curlwrappers cxx dbus dga dia directfb djbfft dri dts dv dvb dvd dvdr dvdread eds emacs emboss emf enblend encode enscript exif expat fam fame fat fbcon ffmpeg fftw firefox flac flash foomaticdb fortran fpx ftp gcj gd gdbm ggi gif gimp gimpprint glibc-compat20 glibc-omitfp glitz glut gmp gnuplot gnutls gpgme gphoto2 gpm graphviz gs gsl gstreamer gtk gtkhtml hal hdf hdf5 hp2xx i8x0 icc iconv icu id3 ieee1394 ifc imagemagick imlib inifile innodb isdnlog ithreads jack java javascript jbig jce jikes jpeg jpeg2k kdtree kerberos lame lapack laptop lcms leim libcaca libedit libnotify libwww live lzo lzw mad maildir matroska mhash midi mikmod mime ming mjpeg mmap mmx mng mod_python modperl modplug motif mozilla moznoirc mp2 mp3 mp4 mpeg mpi mpi_njtree mpich2 mplayer mudflap mule musepack mxdatetime mysql mysqli ncurses netcdf netpbm network nls nntp nptl nptlonly nsplugin ntfs numeric ogg opengl openmp pam pango pcmcia pcntl pcre pdf perl plotutils plugin png pnm postproc postscript ppds pppd procmail pymol python qt3 qt3support qt4 quicktime rar raw readline recode reflection reiserfs rpm samba sasl scanner scp seamonkey server session sftp sift slp smime sndfile soap sockets spell spl sqlite srt sse sse2 ssl startup-notification subtitles subversion svg svgz sysfs sysvipc t1lib tcl tcpd tetex theora threads tidy tiff tk transcode truetype unicode urandom usb userlocales uuencode v4l v4l2 vcd vhook vim-syntax vim-with-x vorbis wifi win32codecs wmf wxwindows x264 x86 xanim xcf xfs xft xinerama xinetd xml xorg xpm xprint xsl xslt xulrunner xv xvid xvmc yv12 zip zlib" ALSA_CARDS="intel-8x0m" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config mem_cache mime mime_magic rewrite setenvif speling status unique_id userdir usertrack vhost_alias negotiation" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en cs cz" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Luca Barbato gentoo-dev 2009-03-07 15:53:48 UTC
check qemu-0.10
Comment 2 Martin Mokrejš 2009-03-10 09:00:57 UTC
# emerge -uN qemu
>>> Verifying ebuild manifests

>>> Emerging (1 of 1) app-emulation/qemu-0.9.1
 * checking ebuild checksums ;-) ...                                                                                                                                                                                           [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                                                                                          [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                                                                                         [ ok ]
>>> Unpacking source...
>>> Source unpacked in /var/tmp/portage/app-emulation/qemu-0.9.1/work
>>> Compiling source in /var/tmp/portage/app-emulation/qemu-0.9.1/work ...
>>> Source compiled.
>>> Test phase [not enabled]: app-emulation/qemu-0.9.1

>>> Install qemu-0.9.1 into /var/tmp/portage/app-emulation/qemu-0.9.1/image/ category app-emulation
>>> Completed installing qemu-0.9.1 into /var/tmp/portage/app-emulation/qemu-0.9.1/image/


>>> Installing app-emulation/qemu-0.9.1

>>> Recording app-emulation/qemu in "world" favorites file...
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.
# equery files qemu
[ Searching for packages matching qemu... ]
* Contents of app-emulation/qemu-0.9.1:
# 



> check qemu-0.10

Where can I find it?
Comment 3 Luca Barbato gentoo-dev 2009-03-10 12:19:31 UTC
nyx ~ # emerge -vp qemu

Please sync

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] app-emulation/qemu-softmmu-0.10.0  USE="alsa ncurses pulseaudio sdl vde -esd -gnutls -kqemu" 3,572 kB
[ebuild  N    ] app-emulation/qemu-user-0.10.0  0 kB
[ebuild  N    ] app-emulation/qemu-0.10.0  0 kB

Total: 3 packages (3 new), Size of downloads: 3,572 kB
Comment 4 Martin Mokrejš 2009-03-10 16:24:40 UTC
[ebuild     U ] app-emulation/qemu-softmmu-0.10.0 [0.9.1-r3] USE="alsa gnutls ncurses%* -esd% -kqemu -pulseaudio% -sdl -vde%" 3,572 kB
[ebuild  N    ] app-emulation/qemu-user-0.10.0  0 kB
[ebuild     U ] app-emulation/qemu-0.10.0 [0.9.1] 0 kB

Total: 3 packages (2 upgrades, 1 new), Size of downloads: 3,572 kB

[cut]
Install prefix    /usr
BIOS directory    /usr/share/qemu
binary directory  /usr/bin
Manual directory  /usr/share/man
ELF interp prefix /usr/gnemul/qemu-%M
Source path       /var/tmp/portage/app-emulation/qemu-softmmu-0.10.0/work/qemu-0.10.0
C compiler        gcc
Host C compiler   gcc
ARCH_CFLAGS       -m32
make              make
install           install
host CPU          i386
host big endian   no
target list       i386-softmmu x86_64-softmmu arm-softmmu cris-softmmu m68k-softmmu mips-softmmu mipsel-softmmu mips64-softmmu mips64el-softmmu ppc-softmmu ppcemb-softmmu ppc64-softmmu sh4-softmmu sh4eb-softmmu sparc-softmmu 
gprof enabled     no
sparse enabled    no
profiler          no
static build      no
-Werror enabled   no
SDL support       no
curses support    yes
mingw32 support   no
Audio drivers     alsa oss
Extra audio cards ac97 es1370 sb16
Mixer emulation   no
VNC TLS support   yes
    TLS CFLAGS     
    TLS LIBS      -lgnutls  
kqemu support     no
brlapi support    no
Documentation     yes
NPTL support      yes
vde support       no
AIO support       yes
Install blobs     yes
KVM support       no
fdt support       no
make 
[cut]
>>> Compiling source in /var/tmp/portage/app-emulation/qemu-user-0.10.0/work/qemu-0.10.0 ...
Install prefix    /usr
BIOS directory    /usr/share/qemu
binary directory  /usr/bin
Manual directory  /usr/share/man
ELF interp prefix /usr/gnemul/qemu-%M
Source path       /var/tmp/portage/app-emulation/qemu-user-0.10.0/work/qemu-0.10.0
C compiler        gcc
Host C compiler   gcc
ARCH_CFLAGS       -m32
make              make
install           install
host CPU          i386
host big endian   no
target list       i386-linux-user x86_64-linux-user alpha-linux-user arm-linux-user armeb-linux-user cris-linux-user m68k-linux-user mips-linux-user mipsel-linux-user ppc-linux-user ppc64-linux-user ppc64abi32-linux-user sh4-linux-user sh4eb-linux-user sparc-linux-user sparc64-linux-user sparc32plus-linux-user 
gprof enabled     no
sparse enabled    no
profiler          no
static build      no
-Werror enabled   no
SDL support       no
curses support    no
mingw32 support   no
Audio drivers     oss
Extra audio cards ac97 es1370 sb16
Mixer emulation   no
VNC TLS support   no
kqemu support     no
brlapi support    no
Documentation     yes
NPTL support      yes
vde support       no
AIO support       yes
Install blobs     yes
KVM support       no
fdt support       no
cat: qemu/config-host.mak: No such file or directory
make 
[cut]

Other than that everything compile fine for me. Thanks.

Portage 2.1.6.7 (default/linux/x86/2008.0/desktop, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.29-rc7 i686)
=================================================================
System uname: Linux-2.6.29-rc7-i686-Mobile_Intel-R-_Pentium-R-_4_-_M_CPU_1.80GHz-with-glibc2.0
Timestamp of tree: Tue, 10 Mar 2009 12:45:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
app-shells/bash:     3.2_p48-r1
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.5.4-r2
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.3.8
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -mmmx -msse -msse2 -pipe -fno-strict-aliasing -ggdb"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/bind /var/qmail/alias /var/qmail/control /var/spool/torque /var/vpopmail/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium4 -mmmx -msse -msse2 -pipe -fno-strict-aliasing -ggdb"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages metadata-transfer nostrip parallel-fetch protect-owned sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.mirror.web4u.cz"
LDFLAGS="-Wl,-O1"
LINGUAS="en cs cz"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/sunrise /usr/local/portage/layman/java-overlay /usr/local/portage/layman/science /usr/local/portage /usr/local/java-experimental /usr/local/portage/layman/java-overlay"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7zip R X Xaw3d a52 aac aalib ace acl acpi alsa amr amrnb amrwb apache2 audacious audiofile bash-completion bcmath berkdb blas bluetooth boost branding bzip2 cairo cblas cddb cdparanoia cdr clamav cli colordiff compress cpio cracklib crypt cscope css ctype cups curl curlwrappers cxx dbus dga dia directfb djbfft dri dts dv dvb dvd dvdr dvdread eds emacs emboss emf enblend encode enscript exif expat fam fame fat fbcon ffmpeg fftw firefox flac flash foomaticdb fortran fpx ftp gcj gd gdbm ggi gif gimp gimpprint glibc-compat20 glibc-omitfp glut gmp gnuplot gnutls gpgme gphoto2 gpm graphviz gs gsl gstreamer gtk gtkhtml hal hdf hdf5 hp2xx i8x0 icc iconv icu id3 ieee1394 ifc imagemagick imlib inifile innodb isdnlog ithreads jack java javascript jbig jce jikes jpeg jpeg2k kdtree kerberos lame lapack laptop lcms leim libcaca libedit libnotify libwww live lzo lzw mad maildir matroska mhash midi mikmod mime ming mjpeg mmap mmx mng mod_python modperl modplug motif mozilla moznoirc mp2 mp3 mp4 mpeg mpi mpi_njtree mpich2 mplayer mudflap mule musepack mxdatetime mysql mysqli ncurses netcdf netpbm network nls nntp nptl nptlonly nsplugin ntfs numeric ogg opengl openmp pam pango pcmcia pcntl pcre pdf perl plotutils plugin png pnm postproc postscript ppds pppd procmail pymol python qt3 qt3support qt4 quicktime rar raw readline recode reflection reiserfs rpm samba sasl scanner scp seamonkey server session sftp sift slp smime sndfile soap sockets spell spl sqlite srt sse sse2 ssl startup-notification subtitles subversion svg svgz sysfs sysvipc t1lib tcl tcpd tetex theora threads tidy tiff tk transcode truetype unicode urandom usb userlocales uuencode v4l v4l2 vcd vhook vim-syntax vim-with-x vorbis wifi win32codecs wmf wxwindows x264 x86 xanim xcf xfs xft xinetd xml xorg xpm xprint xsl xslt xulrunner xv xvid xvmc yv12 zip zlib" ALSA_CARDS="intel-8x0m" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config mem_cache mime mime_magic rewrite setenvif speling status unique_id userdir usertrack vhost_alias negotiation" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en cs cz" USERLAND="GNU" VIDEO_CARDS="radeon vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 5 Luca Barbato gentoo-dev 2009-03-10 16:40:56 UTC
ops, that's a leftover from a section I copied from the kvm ebuild, now it's fixed.